
%define name	kvdrmon
%define version	0.6
%define rel	3

Summary:	KDE kicker applet for monitoring VDR activities
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://vdr-statusleds.sourceforge.net/kvdrmon/
Source:		http://prdownloads.sourceforge.net/vdr-statusleds/%name-%version.tar.bz2
Patch0:		kvdrmon-0.6-gcc4.3.diff
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel imagemagick chrpath

%description
This is a KDE kicker applet for monitoring VDR activities.

%prep
%setup -q
%patch0 -p1

%build
export MOC=%{qt3bin}/moc
export UIC=%{qt3bin}/uic
%configure2_5x --with-extra-includes=%{_kde3_includedir} \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

chrpath -d %{buildroot}%{_bindir}/kvdrmon

# incorrect info
rm -f %{buildroot}%{_datadir}/applnk/Utilities/kvdrmon.desktop


install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Kvdrmon
GenericName=VDR Monitor
Exec=%{_bnidir}/kvdrmon
Icon=kvdrmon
Terminal=false
Type=Application
Categories=AudioVideo;Video;X-MandrivaLinux-Multimedia-Video;
EOF

install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 16x16 %{buildroot}%{_miconsdir}/kvdrmon.png
convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 32x32 %{buildroot}%{_iconsdir}/kvdrmon.png
convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 48x48 %{buildroot}%{_liconsdir}/kvdrmon.png

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc README
%{_bindir}/kvdrmon
%{_datadir}/apps/kvdrmon
%{_docdir}/HTML/*/kvdrmon
%{_datadir}/icons/*/*/*/kvdrmon.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 0.6-3mdv2009.1
+ Revision: 346017
- fix build with gcc4.3 (patch from gentoo)
- fix build with relocated kde3

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-2mdv2008.1
+ Revision: 148244
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2008.0
+ Revision: 77448
- make "VDR Monitor" a GenericName instead of a Comment in desktop entry
- Import kvdrmon



* Wed Jul 12 2006 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2007.0
- initial Mandriva release
